package com.ruoyi.common.core.domain.entity;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.List;

/**
 * 栏目导航对象 column_navigation_bar
 * 
 * @author boman
 * @date 2021-12-24
 */
public class ColumnNavigationBar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 栏目id */
    private Long columnId;

    /** 父栏目id */
    @Excel(name = "父栏目id")
    private Long parentId;

    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;

    /** 栏目名称 */
    @Excel(name = "栏目名称")
    private String columnName;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Integer orderNum;
    /**
     * 是否是导航栏
     */
    private String isNavigationBar;

    /**
     * 是否是标题
     */
    private String isTitle;
    /**
     * 是否是底部导航
     */
    private String isBottom;

    /**
     * 展开方式
     */
    private String openMode;

    /** 栏目状态（0正常 1停用） */
    @Excel(name = "栏目状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（N代表存在 Y代表删除） */
    private String delFlag;

    /** 子部门 */
    private List<ColumnNavigationBar> children = new ArrayList<ColumnNavigationBar>();

    private List<ColumnNews> columnNewsList = new ArrayList<ColumnNews>();

    public String getOpenMode() {
        return openMode;
    }

    public void setOpenMode(String openMode) {
        this.openMode = openMode;
    }

    public List<ColumnNews> getColumnNewsList() {
        return columnNewsList;
    }

    public void setColumnNewsList(List<ColumnNews> columnNewsList) {
        this.columnNewsList = columnNewsList;
    }

    public List<ColumnNavigationBar> getChildren() {
        return children;
    }

    public String getIsBottom() {
        return isBottom;
    }

    public void setIsBottom(String isBottom) {
        this.isBottom = isBottom;
    }

    public String getIsNavigationBar() {
        return isNavigationBar;
    }

    public void setIsNavigationBar(String isNavigationBar) {
        this.isNavigationBar = isNavigationBar;
    }

    public String getIsTitle() {
        return isTitle;
    }

    public void setIsTitle(String isTitle) {
        this.isTitle = isTitle;
    }

    public void setChildren(List<ColumnNavigationBar> children) {
        this.children = children;
    }

    public void setColumnId(Long columnId)
    {
        this.columnId = columnId;
    }

    public Long getColumnId() 
    {
        return columnId;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setAncestors(String ancestors) 
    {
        this.ancestors = ancestors;
    }

    public String getAncestors() 
    {
        return ancestors;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public void setOrderNum(Integer orderNum)
    {
        this.orderNum = orderNum;
    }

    public Integer getOrderNum() 
    {
        return orderNum;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("columnId", getColumnId())
            .append("parentId", getParentId())
            .append("ancestors", getAncestors())
            .append("columnName", getColumnName())
            .append("orderNum", getOrderNum())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
